| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IHistorySvc Class Referenceabstract

Definition of the IHistorySvc interface class. More...

`#include <GaudiKernel/IHistorySvc.h>`

Inheritance diagram for IHistorySvc:
[legend]
Collaboration diagram for IHistorySvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IHistorySvc, 2, 0)
| InterfaceID. More...
virtual StatusCode | registerJob ()=0
virtual StatusCode | listProperties () const =0
virtual JobHistory * | getJobHistory () const =0
virtual StatusCode | registerSvc (const IService &)=0
virtual StatusCode | listProperties (const IService &) const =0
virtual ServiceHistory * | getServiceHistory (const IService &) const =0
virtual void | getServiceHistory (std::set< ServiceHistory * > &) const =0
virtual StatusCode | registerAlg (const Algorithm &)=0
virtual StatusCode | listProperties (const Algorithm &) const =0
virtual AlgorithmHistory * | getAlgHistory (const Algorithm &) const =0
virtual void | getAlgHistory (std::set< AlgorithmHistory * > &) const =0
virtual StatusCode | registerAlgTool (const IAlgTool &)=0
virtual StatusCode | listProperties (const IAlgTool &) const =0
virtual AlgToolHistory * | getAlgToolHistory (const IAlgTool &) const =0
virtual void | getAlgToolHistory (std::set< AlgToolHistory * > &) const =0
virtual DataHistory * | createDataHistoryObj (const CLID &id, const std::string &key, const std::string &storeName)=0
virtual DataHistory * | getDataHistory (const CLID &id, const std::string &key, const std::string &storeName) const =0
Public Member Functions inherited from IService
| DeclareInterfaceID (IService, 4, 0)
| InterfaceID. More...
virtual StatusCode | sysInitialize ()=0
| Initialize Service. More...
virtual StatusCode | sysStart ()=0
| Start Service. More...
virtual StatusCode | sysStop ()=0
| Stop Service. More...
virtual StatusCode | sysFinalize ()=0
| Finalize Service. More...
virtual StatusCode | sysReinitialize ()=0
| Re-initialize the Service. More...
virtual StatusCode | sysRestart ()=0
| Re-start the Service. More...
virtual | ~IService ()=default
| virtual destructor More...
Public Member Functions inherited from extend_interfaces< INamedInterface, IStateful >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from extend_interfaces< INamedInterface, IStateful >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids...>::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from IService
virtual void | setServiceManager (ISvcManager *)=0

## Detailed Description

Definition of the IHistorySvc interface class.

Author
  Charles Leggett

Definition at line 32 of file IHistorySvc.h.

## Member Function Documentation

virtual DataHistory* IHistorySvc::createDataHistoryObj | ( | const CLID & | id,
|  | const std::string & | key,
|  | const std::string & | storeName
| ) |  |
| pure virtual

IHistorySvc::DeclareInterfaceID | ( | IHistorySvc | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual AlgorithmHistory* IHistorySvc::getAlgHistory | ( | const Algorithm & |  | ) | const
| pure virtual

virtual void IHistorySvc::getAlgHistory | ( | std::set< AlgorithmHistory * > & |  | ) | const
| pure virtual

virtual AlgToolHistory* IHistorySvc::getAlgToolHistory | ( | const IAlgTool & |  | ) | const
| pure virtual

virtual void IHistorySvc::getAlgToolHistory | ( | std::set< AlgToolHistory * > & |  | ) | const
| pure virtual

virtual DataHistory* IHistorySvc::getDataHistory | ( | const CLID & | id,
|  | const std::string & | key,
|  | const std::string & | storeName
| ) |  | const
| pure virtual

virtual JobHistory* IHistorySvc::getJobHistory | ( |  | ) | const
| pure virtual

virtual ServiceHistory* IHistorySvc::getServiceHistory | ( | const IService & |  | ) | const
| pure virtual

virtual void IHistorySvc::getServiceHistory | ( | std::set< ServiceHistory * > & |  | ) | const
| pure virtual

virtual StatusCode IHistorySvc::listProperties | ( |  | ) | const
| pure virtual

virtual StatusCode IHistorySvc::listProperties | ( | const IService & |  | ) | const
| pure virtual

virtual StatusCode IHistorySvc::listProperties | ( | const Algorithm & |  | ) | const
| pure virtual

virtual StatusCode IHistorySvc::listProperties | ( | const IAlgTool & |  | ) | const
| pure virtual

virtual StatusCode IHistorySvc::registerAlg | ( | const Algorithm & |  | ) |
| pure virtual

virtual StatusCode IHistorySvc::registerAlgTool | ( | const IAlgTool & |  | ) |
| pure virtual

virtual StatusCode IHistorySvc::registerJob | ( |  | ) |
| pure virtual

virtual StatusCode IHistorySvc::registerSvc | ( | const IService & |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IHistorySvc.h